Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.utils.injac.injacSpacesCreation.exception
Class WrongPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.esupportail.portal.utils.injac.injacSpacesCreation.exception.WrongPathException

All Implemented Interfaces:
  java.io.Serializable

public class WrongPathException
extends java.lang.Exception

Author:
  : tbellemb date : 16 juil. 2004 Exception throwned when trying to access a ressource that does not exist
See Also:
  Serialized Form

Field Summary
`(package private) java.lang.String` | `path`
`(package private) java.lang.String` | `throwingClass`
`(package private) java.lang.String` | `throwingMethod`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`WrongPathException()`
`WrongPathException(java.lang.String throwingClass, java.lang.String throwingMethod, java.lang.String path)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### throwingClass

    java.lang.String throwingClass

### throwingMethod

    java.lang.String throwingMethod

### path

    java.lang.String path

Constructor Detail

### WrongPathException

    public WrongPathException()

### WrongPathException

    public WrongPathException(java.lang.String throwingClass,
                              java.lang.String throwingMethod,
                              java.lang.String path)

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD